## org.apache.cassandra.config
Class RequestSchedulerOptions

    java.lang.Object
      org.apache.cassandra.config.RequestSchedulerOptions

    public class RequestSchedulerOptions

extends java.lang.Object

Field Summary
`static java.lang.Integer` `DEFAULT_THROTTLE_LIMIT`
`java.lang.Integer` `default_weight`
`static java.lang.Integer` `DEFAULT_WEIGHT`
`java.lang.Integer` `throttle_limit`
`java.util.Map<java.lang.String,java.lang.Integer>` `weights`

Constructor Summary
`RequestSchedulerOptions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_THROTTLE_LIMIT

    public static final java.lang.Integer DEFAULT_THROTTLE_LIMIT

### DEFAULT_WEIGHT

    public static final java.lang.Integer DEFAULT_WEIGHT

### throttle_limit

    public java.lang.Integer throttle_limit

### default_weight

    public java.lang.Integer default_weight

### weights

    public java.util.Map<java.lang.String,java.lang.Integer> weights

Constructor Detail

### RequestSchedulerOptions

    public RequestSchedulerOptions()

Copyright © 2012 The Apache Software Foundation